Bug 961029 - Need to clean up list of SwitchYard runtimes available in offline/online maven repos
Need to clean up list of SwitchYard runtimes available in offline/online mave...
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: ---
Assigned To: Rob Cernich
Andrej Podhradsky
Depends On:
  Show dependency treegraph
Reported: 2013-05-08 11:00 EDT by Len DiMaggio
Modified: 2014-11-19 01:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When you create a new SwitchYard project in JBoss Developer Studio 6.0.1, the "New SwitchYard Project" wizard displays a list of avialable runtime versions, of which a few are obsolete. As a result, a user may incorrectly select a runtime version which no longer exists and fail to create a new SwitchYard project.
Story Points: ---
Clone Of:
Last Closed: 2014-02-06 10:26:50 EST
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Runtime screenshot (605.16 KB, image/png)
2013-05-08 11:01 EDT, Len DiMaggio
no flags Details
How it looks in JBDS-IS 7.0.0.CR1 (156.52 KB, image/png)
2013-12-18 10:48 EST, Andrej Podhradsky
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1795 Major Closed Need to clean up list of SwitchYard runtimes available in offline/online maven repos 2014-06-16 19:52:26 EDT

  None (edit)
Description Len DiMaggio 2013-05-08 11:00:12 EDT
Description of problem:

(Related to https://bugzilla.redhat.com/show_bug.cgi?id=960602)

See the attached screenshot - can we clean up the list of available runtimes - either by removing the obsolete runtimes, or presenting them to the users in a list that separates community from product from snapshots? It's a long list right now.

Version-Release number of selected component (if applicable):

JBDS: jbdevstudio-product-universal-6.0.1.GA-v20130327-2052-B361.jar

JBDS SOA Tooling: http://download.jboss.org/jbosstools/updates/integration/juno/integration-stack/aggregate/4.0.0/

SOA: http://jawa05.englab.brq.redhat.com/candidate/soa-6.0.0-DR3/

Maven repo: http://jawa05.englab.brq.redhat.com/candidate/soa-6.0.0-DR3/soa-6.0.0-Alpha-maven-repository.zip

EAP: http://download.devel.redhat.com/released/JBEAP-6/6.1.0-Beta/

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Len DiMaggio 2013-05-08 11:01:42 EDT
Created attachment 745283 [details]
Runtime screenshot
Comment 3 Rob Cernich 2013-09-26 17:59:35 EDT
The tools should now only display versions in the users local m2 repository, the default version (latest community release) and the versions installed in any SwitchYard runtimes configured in the user's workspace.
Comment 5 JBoss JIRA Server 2013-10-07 08:59:38 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1738

Comment 9 JBoss JIRA Server 2013-11-05 13:44:58 EST
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1795

Comment 10 Andrej Podhradsky 2013-12-18 10:48:06 EST
Created attachment 838412 [details]
How it looks in JBDS-IS 7.0.0.CR1
Comment 11 Andrej Podhradsky 2013-12-18 10:48:51 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 12 JBoss JIRA Server 2014-06-16 19:52:26 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1795 to Closed

Note You need to log in before you can comment on or make changes to this bug.